package domain

type errorString string

func (err errorString) Error() string {
	return string(err)
}

// ErrCacheMiss indicates a cache miss when fetching an item from CacheManager.
const ErrCacheMiss = errorString("cache miss: key not found")

// Used to log errors with communication and operation of cache implementation
const LogProblemGettingFromCache = "Getting from cache is not working correctly: %v"
const LogProblemPuttingToCache = "Putting to cache is not working correctly: %v"
const LogProblemExpiringCache = "Expiring cache key is not working correctly: %v"
